org.bdgenomics.adam.rdd

# ADAMSaveAnyArgs

###
Related Doc: package rdd

#### trait ADAMSaveAnyArgs extends SaveArgs

Argument configuration for saving any output format.

Linear Supertypes
SaveArgs, ParquetRDDArgs, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ADAMSaveAnyArgs
2. SaveArgs
3. ParquetRDDArgs
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Abstract Value Members

1. #### abstract val asSingleFile: Boolean

   If true and saving as a legacy format, we will write shards so that they can be merged into a single file.

   If true and saving as a legacy format, we will write shards so that they can be merged into a single file.

   See also

     deferMerging

2. #### abstract val blockSize: Int

   Definition Classes
     ParquetRDDArgs

3. #### abstract val compressionCodec: CompressionCodecName

   Definition Classes
     ParquetRDDArgs

4. #### abstract val deferMerging: Boolean

   If true and asSingleFile is true, we will not merge the shards once we write them, and will leave them for the user to merge later.

   If true and asSingleFile is true, we will not merge the shards once we write them, and will leave them for the user to merge later. If false and asSingleFile is true, then we will merge the shards on write. If asSingleFile is false, this is ignored.

   See also

     asSingleFile

5. #### abstract val disableDictionaryEncoding: Boolean

   Definition Classes
     ParquetRDDArgs

6. #### abstract val disableFastConcat: Boolean

   If asSingleFile is true and deferMerging is false, disables the use of the fast file concatenation engine.

7. #### abstract val outputPath: String

   Definition Classes
     SaveArgs

8. #### abstract val pageSize: Int

   Definition Classes
     ParquetRDDArgs

9. #### abstract val sortFastqOutput: Boolean

   If true and saving as FASTQ, we will sort by read name.

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

8. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

9. #### final def getClass(): Class[_]

   Definition Classes
     AnyRef → Any

10. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

11. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

12. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

13. #### final def notify(): Unit

    Definition Classes
      AnyRef

14. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

15. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

16. #### def toString(): String

    Definition Classes
      AnyRef → Any

17. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

18. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

19. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from SaveArgs

### Inherited from ParquetRDDArgs

### Inherited from AnyRef

### Inherited from Any

### Ungrouped